Debian Bug report logs - #581808
Regression in debconf breaking live-initramfs

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: daniel@debian.org

Date: Sun, 16 May 2010 04:30:01 UTC

Owned by: debian-live@lists.debian.org

Severity: important

Found in version live-initramfs/1.236.1-1

Fixed in version live-initramfs/1.236.2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org:
Bug#581808; Package debconf. (Sun, 16 May 2010 04:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org. (Sun, 16 May 2010 04:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Regression in debconf breaking live-initramfs
Date: Sun, 16 May 2010 06:27:17 +0200
Package: debconf
Severity: important
Owner: debian-live@lists.debian.org
Affects: live-initramfs 1.236.1-1

Hi,

I'm having a weird problem with debconf which breaks live-initramfs
1.236.1-1:

+ db_set passwd/root-password-crypted *
+ _db_cmd SET passwd/root-password-crypted *
+ IFS=  printf %s\n SET passwd/root-password-crypted *
+ IFS=
 read -r _db_internal_line
debconf: Problem setting up the database defined by stanza 6 of
/tmp/debconf.WiUt9e/debconf.conf.
Attempt to access disallowed key '+readonly' in a restricted hash at
/usr/share/perl5/Debconf/DbDriver.pm line 35, <DEBCONF_CONFIG> chunk 6.
+ RET=
+ return

surprisingly, the exactely same version works without any problems in lenny:

+ db_set passwd/root-password-crypted *
+ _db_cmd SET passwd/root-password-crypted *
+ IFS=  printf %s\n SET passwd/root-password-crypted *
+ IFS=
 read -r _db_internal_line
+ RET=
+ return

i couldn't find anything related in the debconf changelog, is this a
bug, or did something change, and how can i fix it or workaround it?

also, if you need further information, i'm of course happy to provide it.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org:
Bug#581808; Package debconf. (Mon, 17 May 2010 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org. (Mon, 17 May 2010 17:27:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: daniel@debian.org, 581808@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#581808: Regression in debconf breaking live-initramfs
Date: Mon, 17 May 2010 13:25:35 -0400
[Message part 1 (text/plain, inline)]
Daniel Baumann wrote:
> Package: debconf
> Severity: important
> Owner: debian-live@lists.debian.org
> Affects: live-initramfs 1.236.1-1
> 
> Hi,
> 
> I'm having a weird problem with debconf which breaks live-initramfs
> 1.236.1-1:
> 
> + db_set passwd/root-password-crypted *
> + _db_cmd SET passwd/root-password-crypted *
> + IFS=  printf %s\n SET passwd/root-password-crypted *
> + IFS=
>  read -r _db_internal_line
> debconf: Problem setting up the database defined by stanza 6 of
> /tmp/debconf.WiUt9e/debconf.conf.
> Attempt to access disallowed key '+readonly' in a restricted hash at
> /usr/share/perl5/Debconf/DbDriver.pm line 35, <DEBCONF_CONFIG> chunk 6.
> + RET=
> + return
> 
> surprisingly, the exactely same version works without any problems in lenny:
> 
> + db_set passwd/root-password-crypted *
> + _db_cmd SET passwd/root-password-crypted *
> + IFS=  printf %s\n SET passwd/root-password-crypted *
> + IFS=
>  read -r _db_internal_line
> + RET=
> + return
> 
> i couldn't find anything related in the debconf changelog, is this a
> bug, or did something change, and how can i fix it or workaround it?
> 
> also, if you need further information, i'm of course happy to provide it.

Seems like the minimum information you could provide for a bug of this
sort would always be the version of debconf you are using, and a copy of
the config file that breaks it.

I made an educated guess, and modified my /etc/debconf.conf to
contain this line:

+Readonly: true

And reproduced the problem that way. Are you really leaking patch
+- markers into your debconf.conf?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org:
Bug#581808; Package debconf. (Mon, 17 May 2010 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org. (Mon, 17 May 2010 17:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org:
Bug#581808; Package debconf. (Tue, 18 May 2010 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jiří Paleček <jpalecek@web.de>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org. (Tue, 18 May 2010 01:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 581808@bugs.debian.org (full text, mbox):

From: Jiří Paleček <jpalecek@web.de>
To: 581808@bugs.debian.org
Cc: "Joey Hess" <joeyh@debian.org>
Subject: This bug could be a live-initramfs problem
Date: Tue, 18 May 2010 03:51:43 +0200
Hello,

this bug is apparently caused by this code in scripts/live from  
live-initramfs:


        DEBCONF_TMPDIR="$(chroot /root mktemp -dt debconf.XXXXXX)"
        cp -a /root/var/cache/debconf/config.dat "/root$DEBCONF_TMPDIR/"
        cp -a /root/var/cache/debconf/passwords.dat "/root$DEBCONF_TMPDIR/"
        sed "s,^Filename:  
/var/cache/debconf/\(config\|passwords\).dat$,Filename:  
$DEBCONF_TMPDIR/\1.dat,; /^Name: templatedb/a\
+Readonly: true" /root/etc/debconf.conf  
>"/root$DEBCONF_TMPDIR/debconf.conf"

I'm not really sure if the "+" has to be there, but if debconf never  
required (or allowed) "+" in the beginning of debconf.conf line, it  
probably shouldn't.

Regards
   Jiri Palecek

-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org:
Bug#581808; Package debconf. (Tue, 18 May 2010 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org. (Tue, 18 May 2010 02:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 581808@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Jiří Paleček <jpalecek@web.de>
Cc: 581808@bugs.debian.org
Subject: Re: This bug could be a live-initramfs problem
Date: Mon, 17 May 2010 22:06:50 -0400
[Message part 1 (text/plain, inline)]
Jiří Paleček wrote:
> I'm not really sure if the "+" has to be there, but if debconf never
> required (or allowed) "+" in the beginning of debconf.conf line, it
> probably shouldn't.

It's never been allowed. The vaguaries of fields(3perl) may have caused
unsupported fields to be silently ignored in the past.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org:
Bug#581808; Package debconf. (Tue, 18 May 2010 02:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jiří Paleček <jpalecek@web.de>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>, debian-live@lists.debian.org. (Tue, 18 May 2010 02:27:05 GMT) Full text and rfc822 format available.

Message #30 received at 581808@bugs.debian.org (full text, mbox):

From: Jiří Paleček <jpalecek@web.de>
To: "Joey Hess" <joeyh@debian.org>
Cc: 581808@bugs.debian.org, "control@bugs.debian.org" <control@bugs.debian.org>
Subject: Re: This bug could be a live-initramfs problem
Date: Tue, 18 May 2010 04:23:12 +0200
reassign 581808 live-initramfs 1.236.1-1
thanks

On Tue, 18 May 2010 04:06:50 +0200, Joey Hess <joeyh@debian.org> wrote:

> Jiří Paleček wrote:
>> I'm not really sure if the "+" has to be there, but if debconf never
>> required (or allowed) "+" in the beginning of debconf.conf line, it
>> probably shouldn't.
>
> It's never been allowed. The vaguaries of fields(3perl) may have caused
> unsupported fields to be silently ignored in the past.

Good. Let's reassign it, then.


-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/




Bug reassigned from package 'debconf' to 'live-initramfs'. Request was from Jiří Paleček <jpalecek@web.de> to control@bugs.debian.org. (Tue, 18 May 2010 02:27:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions live-initramfs/1.236.1-1. Request was from Jiří Paleček <jpalecek@web.de> to control@bugs.debian.org. (Tue, 18 May 2010 02:27:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 05:06:11 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Tue, 18 May 2010 05:06:11 GMT) Full text and rfc822 format available.

Message #39 received at 581808-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 581808-close@bugs.debian.org
Subject: Bug#581808: fixed in live-initramfs 1.236.2-1
Date: Tue, 18 May 2010 05:02:21 +0000
Source: live-initramfs
Source-Version: 1.236.2-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.236.2-1.diff.gz
  to main/l/live-initramfs/live-initramfs_1.236.2-1.diff.gz
live-initramfs_1.236.2-1.dsc
  to main/l/live-initramfs/live-initramfs_1.236.2-1.dsc
live-initramfs_1.236.2-1_all.deb
  to main/l/live-initramfs/live-initramfs_1.236.2-1_all.deb
live-initramfs_1.236.2.orig.tar.gz
  to main/l/live-initramfs/live-initramfs_1.236.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 581808@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 May 2010 06:51:31 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.236.2-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 581808
Changes: 
 live-initramfs (1.236.2-1) unstable; urgency=medium
 .
   * Removing spurious '+' when making debconf db read-only (Closes:
     #581808).
Checksums-Sha1: 
 b91bd7dab2bcebce045107d507e631e62ebdefde 1311 live-initramfs_1.236.2-1.dsc
 8393790f00b8c324d1f666e4fb07759039ebf649 109935 live-initramfs_1.236.2.orig.tar.gz
 626e1f93c2afa85b0f4c276fc14e4af4be2b9665 33823 live-initramfs_1.236.2-1.diff.gz
 e8c6d4967cdbedca543ac8ffa78c2e9db1a7e61f 112366 live-initramfs_1.236.2-1_all.deb
Checksums-Sha256: 
 156e3c1cf67e068aaf5df31b375c1ade94804b9ba32a2e989d860fbd43607e4e 1311 live-initramfs_1.236.2-1.dsc
 ab960f9523653bba651f74f8df671037503ff9bb9c8b11aca7cd61889632e5e5 109935 live-initramfs_1.236.2.orig.tar.gz
 c7190870892922540b880ad5d0cda982b9f7e734a1bfdf83a3c9933eb14400c1 33823 live-initramfs_1.236.2-1.diff.gz
 c3a124423f7296a18cbf33567d5486919acdf21459ddb8cf04d09485477bdb6e 112366 live-initramfs_1.236.2-1_all.deb
Files: 
 b7c434bc6779ddcb2b23b358aecc2d95 1311 misc optional live-initramfs_1.236.2-1.dsc
 cf4d591adcd0e1b01b5708e4a3911e65 109935 misc optional live-initramfs_1.236.2.orig.tar.gz
 6b1859474772e89e4c45ceac57e70e9b 33823 misc optional live-initramfs_1.236.2-1.diff.gz
 919b2e8472f255c08440be0fd312470c 112366 misc optional live-initramfs_1.236.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvyHVcACgkQ+C5cwEsrK57CYwCeJljYIKcNZSXREnYoCHZGBOE1
LlcAoKnfs10t7jm3yV3JpixLLeTVF7Tz
=Gdqy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Jun 2010 07:32:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:42:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.